Create an approval request
curl --request POST \
--url https://api.visiqlabs.com/allow/hitl/queue \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_id": "<string>",
"action": "<string>",
"target_app": "openclaw",
"context": {},
"reason": "<string>",
"category": "engineer",
"rule_code": "<string>",
"timeout_seconds": 120
}
'import requests
url = "https://api.visiqlabs.com/allow/hitl/queue"
payload = {
"agent_id": "<string>",
"action": "<string>",
"target_app": "openclaw",
"context": {},
"reason": "<string>",
"category": "engineer",
"rule_code": "<string>",
"timeout_seconds": 120
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '<string>',
action: '<string>',
target_app: 'openclaw',
context: {},
reason: '<string>',
category: 'engineer',
rule_code: '<string>',
timeout_seconds: 120
})
};
fetch('https://api.visiqlabs.com/allow/hitl/queue', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"target_app": "<string>",
"action": "<string>",
"context": {},
"ai_recommended_rule": {},
"notified_via": [
"<string>"
],
"expires_at": "2023-11-07T05:31:56Z",
"responded_at": "2023-11-07T05:31:56Z",
"responded_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "Invalid request body",
"details": [
{
"path": [
"agent_id"
],
"message": "Required"
}
]
}{
"error": "Unauthorized"
}{
"error": "insufficient_scope",
"detail": "This API key is not authorized for the requested operation."
}{
"error": "Rule not found"
}Human-in-the-loop
Create an approval request
Directly enqueue an approval request. Requires permission allow_hitl:respond.
POST
/
allow
/
hitl
/
queue
Create an approval request
Authorizations
A VisIQ API key presented as Authorization: Bearer vq_prod_.... Mint keys under Connectors -> API Keys in the dashboard.
Body
application/json
Required string length:
1 - 255Required string length:
1 - 255Required string length:
1 - 255Required string length:
1 - 1000Available options:
enduser, engineer, finance, security, compliance, other Required string length:
1 - 64Required range:
10 <= x <= 120Response
The created queue item.
Available options:
enduser, engineer, finance, security, compliance, other Available options:
pending, approved, rejected, timeout, expired, dismissed, resolved ⌘I